OpenVDB 13.0.0

Loading...
Searching...
No Matches
TransformOp Class Reference

TBB body object for threaded world to voxel space transformation and copy of points. More...

`#include <openvdb_houdini/GeometryUtil.h>`

## Public Member Functions
| TransformOp (GU_Detail const *const gdp, const openvdb::math::Transform &transform, std::vector< openvdb::Vec3s > &pointList)
void | operator() (const GA_SplittableRange &) const

## Detailed Description

TBB body object for threaded world to voxel space transformation and copy of points.

## Constructor & Destructor Documentation

## ◆ TransformOp()

TransformOp | ( | GU_Detail const *const | gdp,
|  | const openvdb::math::Transform & | transform,
|  | std::vector< openvdb::Vec3s > & | pointList )

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const GA_SplittableRange & |  | ) | const